commit: 2138bab01d36e14ba09fe61ea14e55a691d3efb1
Author: Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
AuthorDate: Mon Feb 21 11:46:42 2022 +0000
Commit: Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
CommitDate: Mon Feb 21 11:47:06 2022 +0000
URL: https://gitweb.gentoo.org/proj/kde.git/commit/?id=2138bab0
kde-plasma/plasma-workspace: Fix IUSE gps
Upstream commit 6045c1ee7d3236796a4e5a35e3f1b84c4bba7f03
Package-Manager: Portage-3.0.30, Repoman-3.0.3
Signed-off-by: Andreas Sturmlechner <asturm <AT> gentoo.org>
kde-plasma/plasma-workspace/plasma-workspace-5.24.49.9999.ebuild | 8 ++++++--
kde-plasma/plasma-workspace/plasma-workspace-9999.ebuild | 8 ++++++--
2 files changed, 12 insertions(+), 4 deletions(-)
diff --git a/kde-plasma/plasma-workspace/plasma-workspace-5.24.49.9999.ebuild
b/kde-plasma/plasma-workspace/plasma-workspace-5.24.49.9999.ebuild
index c8abf2ec6c..9b6a2f6869 100644
--- a/kde-plasma/plasma-workspace/plasma-workspace-5.24.49.9999.ebuild
+++ b/kde-plasma/plasma-workspace/plasma-workspace-5.24.49.9999.ebuild
@@ -167,6 +167,12 @@ src_prepare() {
sed -e "s/^pkg_check_modules.*PipeWire/#&/" -i CMakeLists.txt
|| die
fi
+ # TODO: try to get a build switch upstreamed
+ if use geolocation; then
+ use gps || sed -e "s/^pkg_check_modules.*LIBGPS/#&/" \
+ -i dataengines/geolocation/CMakeLists.txt || die
+ fi
+
if ! use policykit; then
cmake_run_in kcms cmake_comment_add_subdirectory users
fi
@@ -186,8 +192,6 @@ src_configure() {
$(cmake_use_find_package telemetry KUserFeedback)
)
- use geolocation && mycmakeargs+=( $(cmake_use_find_package gps libgps) )
-
ecm_src_configure
}
diff --git a/kde-plasma/plasma-workspace/plasma-workspace-9999.ebuild
b/kde-plasma/plasma-workspace/plasma-workspace-9999.ebuild
index d7c8efc899..c90668f9a5 100644
--- a/kde-plasma/plasma-workspace/plasma-workspace-9999.ebuild
+++ b/kde-plasma/plasma-workspace/plasma-workspace-9999.ebuild
@@ -167,6 +167,12 @@ src_prepare() {
sed -e "s/^pkg_check_modules.*PipeWire/#&/" -i CMakeLists.txt
|| die
fi
+ # TODO: try to get a build switch upstreamed
+ if use geolocation; then
+ use gps || sed -e "s/^pkg_check_modules.*LIBGPS/#&/" \
+ -i dataengines/geolocation/CMakeLists.txt || die
+ fi
+
if ! use policykit; then
cmake_run_in kcms cmake_comment_add_subdirectory users
fi
@@ -184,8 +190,6 @@ src_configure() {
$(cmake_use_find_package telemetry KUserFeedback)
)
- use geolocation && mycmakeargs+=( $(cmake_use_find_package gps libgps) )
-
ecm_src_configure
}